//*****************************************************//
//
// Unit: RsRegistry
//
// Purpose: Encapsulation of TRegIniFile for registry
//           manipulation
//
// Inherits From: TComponent
//
// Project: RapidMisc
//
// Author: Jeff Hiscock -- jhiscock@rapidsi.com
//
// Date: March 2000
//
// Revisions
//
// Copyright Rapid Systems 2000
//******************************************************//
//---------------------------------------------------------------------------
#ifndef RsRegistryH
#define RsRegistryH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <Registry.hpp>
//---------------------------------------------------------------------------
class PACKAGE TRsRegistry : public TComponent
{
private:
    bool FUseDefaultKey;
    String FBaseKey;
    String FTargetKey;
    String FTargetValue;
    Classes::TNotifyEvent FOnReadError;
    Classes::TNotifyEvent FOnWriteError;
    bool FDontCreate;
protected:
public:
    __fastcall TRsRegistry(TComponent* Owner);
    String ReadString();
    bool WriteString(String Value);
    bool __fastcall ReadBool();
    int __fastcall ReadInteger();
    void __fastcall ReadSection(TStringList* retvals);
    bool __fastcall WriteBool(bool value);
    bool __fastcall WriteInteger(int value);
__published:
    __property String BaseKey  = { read = FBaseKey, write = FBaseKey };
    __property String TargetKey  = { read = FTargetKey, write = FTargetKey };
    __property String TargetValue  = { read = FTargetValue, write = FTargetValue };
    __property Classes::TNotifyEvent OnReadError  = { read = FOnReadError, write = FOnReadError };
    __property Classes::TNotifyEvent OnWriteError  = { read = FOnWriteError, write = FOnWriteError };
    __property bool DontCreate  = { read = FDontCreate, write = FDontCreate };
};
//---------------------------------------------------------------------------
#endif
 